> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation By Id

> Gets the conversation by its id



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json get /api/v1/conversation/{conversation_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/conversation/{conversation_id}:
    get:
      tags:
        - Conversation
      summary: Get Conversation By Id
      description: Gets the conversation by its id
      operationId: get_conversation_by_id_api_v1_conversation__conversation_id__get
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Conversation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IGetResponseBase_IConversationRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IGetResponseBase_IConversationRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data retrieved successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IConversationRead'
            - type: 'null'
      type: object
      title: IGetResponseBase[IConversationRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IConversationRead:
      properties:
        widget_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Widget Id
        assistant_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Assistant Id
        device_type:
          anyOf:
            - $ref: '#/components/schemas/IDeviceTypeEnum'
            - type: 'null'
        unique_device_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Unique Device Id
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        contact_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Contact Id
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        first_message:
          anyOf:
            - type: string
            - type: 'null'
          title: First Message
        chat_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Chat Count
      type: object
      required:
        - device_type
        - id
        - created_at
        - first_message
        - chat_count
      title: IConversationRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    IDeviceTypeEnum:
      type: string
      enum:
        - mobile
        - native
        - desktop
        - tablet
        - phone
      title: IDeviceTypeEnum
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````